| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
gradient_paint.hpp File Reference

GLM_GTX_gradient_paint More...

Go to the source code of this file.

## Functions
template<typename T , precision P>
GLM_FUNC_DECL T | linearGradient (tvec2< T, P > const &Point0, tvec2< T, P > const &Point1, tvec2< T, P > const &Position)
| Return a color from a linear gradient. More...
template<typename T , precision P>
GLM_FUNC_DECL T | radialGradient (tvec2< T, P > const &Center, T const &Radius, tvec2< T, P > const &Focal, tvec2< T, P > const &Position)
| Return a color from a radial gradient. More...

## Detailed Description

GLM_GTX_gradient_paint

See also
  GLM Core (dependence)
  GLM_GTX_optimum_pow (dependence)

Definition in file gradient_paint.hpp.